com.sap.conn.jco

## Interface JCoAbapObject

- All Superinterfaces:
    Cloneable, Iterable<JCoField>, JCoRecord, Serializable

      public interface JCoAbapObject
      extends JCoRecord

  The interface comprises public methods for access to ABAP object members. JCoAbapObject is a data container that encapsulates all members of an ABAP object instance. In particular, it is used for representing the ABAP object associated with an `AbapClassException`.

  Note: The implementation for this interface provided by the JCo runtime. Other implementations are not supported.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCoClassMetaData` | `getClassMetaData()` Returns the class metadata associated with this ABAP object instance.

    - ### Methods inherited from interface com.sap.conn.jco.JCoRecord

      `clear, clone, copyFrom, fromJSON, fromJSON, getAbapObject, getAbapObject, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBinaryStream, getBinaryStream, getByte, getByte, getByteArray, getByteArray, getChar, getChar, getCharacterStream, getCharacterStream, getCharArray, getCharArray, getClassNameOfValue, getDate, getDate, getDouble, getDouble, getField, getField, getFieldCount, getFieldIterator, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getShort, getShort, getString, getString, getStructure, getStructure, getTable, getTable, getTime, getTime, getValue, getValue, isInitialized, isInitialized, iterator, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, toJSON, toJSON, toXML, toXML, toXML, write, write`

- - ### Method Detail

    - #### getClassMetaData

          JCoClassMetaData getClassMetaData()

      Returns the class metadata associated with this ABAP object instance.
      Returns:
        the class metadata associated with this ABAP object instance.

Copyright © 2019 SAP. All Rights Reserved.